(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      7839,        237]*)
(*NotebookOutlinePosition[      8546,        262]*)
(*  CellTagsIndexPosition[      8502,        258]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[{
  StyleBox["Oscylator harmoniczny, t\[LSlash]umiony, z wymuszeniem.\n",
    FontSize->16],
  "\n",
  StyleBox["1. Formu\[LSlash]ujemy r\[OAcute]wnanie ruchu t\[LSlash]umionego \
oscylatora harmonicznego. \nPrzyjmijmy, dla prostoty, \:017ce jest to masa m \
przymocowana spr\:0119\:017cyn\[SHacek] do zerowego punktu osi x. \nWsp\
\[OAcute]\[LSlash]czynnik sztywnosci spr\:0119\:017cyny wynosi k. \nWsp\
\[OAcute]\[LSlash]czynnik t\[LSlash]umienia wynosi b.",
    FontWeight->"Plain"]
}], "Text",
  Evaluatable->False,
  TextAlignment->Left],

Cell[BoxData[
    \(eq = 
      m\ \(x''\)[t] == \(-k\)\ x[t] - b\ \(x'\)[t] + 
          f*Sin[\[Omega]f*t]\)], "Input"],

Cell[TextData[{
  StyleBox["U\:017cywaj\[SHacek]c komendy ",
    FontWeight->"Plain"],
  StyleBox["DSolve[ ]",
    FontFamily->"Courier",
    FontWeight->"Plain"],
  StyleBox[" rozwi\[SHacek]zujemy r\[OAcute]wnanie ",
    FontWeight->"Plain"],
  StyleBox["eq",
    FontFamily->"Courier",
    FontWeight->"Plain"],
  StyleBox[" z warunkami pocz\[SHacek]tkowymi opisuj\[SHacek]cymi sytuacj\
\:0119, w kt\[OAcute]rej masa m znajduje si\:0119 w chwili t=0 w \
pocz\[SHacek]tku uk\[LSlash]adu wsp\[OAcute]\[LSlash]rz\:0119dnych i jest \
nieruchoma: ",
    FontWeight->"Plain"]
}], "Text"],

Cell[BoxData[
    \(sol = DSolve[{eq, x[0] \[Equal] 0, \(x'\)[0] == 0}, x[t], t]\)], "Input"],

Cell[BoxData[
    \(x[t_] = x[t] /. sol[\([1]\)]\)], "Input"],

Cell[BoxData[
    \(x[0]\)], "Input"],

Cell[TextData[{
  "Otrzymali\.9cmy rozwi\[SHacek]zanie w postaci regu\[LSlash]y. Interesuje \
nas wyra\:017cenie po prawej stronie symbolu ->. Wy\[LSlash]uskamy je z powy\
\:017cszego wyniku u\:017cywaj\[SHacek]c [[ ]]",
  StyleBox[".",
    FontFamily->"Courier"]
}], "Text",
  Evaluatable->False,
  FontWeight->"Plain"],

Cell[BoxData[
    \(x[t_] = sol[\([1, 1, 2]\)]\)], "Input"],

Cell["Przechodzimy od postaci wykladniczej do trygonometrycznej:", "Text"],

Cell[BoxData[
    \(xT = ExpToTrig[x[t]]\)], "Input"],

Cell["\<\
Upraszczamy maksymalnie rozwi\[SHacek]zanie:\
\>", "Text"],

Cell[BoxData[
    \(xT = FullSimplify[xT]\)], "Input"],

Cell["Rozwijamy wynik:", "Text"],

Cell[BoxData[
    \(Expand[xT]\)], "Input"],

Cell["\<\
Wybieramy  \"myszk\[SHacek]\" (albo przy pomocy symbolu [[ ]]) z otrzymanego \
rozwi\[SHacek]zania cz\[LSlash]ony oscylujace z cz\:0119sto\.9cci\[SHacek] \
\[Omega]f:\
\>", "Text"],

Cell[BoxData[
    \(xTf = \(\(-\(\(b\ f\ \[Omega]f\ Cos[
                  t\ \[Omega]f]\)\/\(b\^2\ \[Omega]f\^2 + \((k - m\ \[Omega]f\
\^2)\)\^2\)\)\)\(+\)\(\(f\ k\ Sin[
                t\ \[Omega]f]\)\/\(b\^2\ \[Omega]f\^2 + \((k - m\ \
\[Omega]f\^2)\)\^2\)\)\(-\)\(\(f\ m\ \[Omega]f\^2\ Sin[
                t\ \[Omega]f]\)\/\(b\^2\ \[Omega]f\^2 + \((k - m\ \
\[Omega]f\^2)\)\^2\)\)\(\[IndentingNewLine]\)\)\)], "Input"],

Cell["\<\
Wyznaczamy amplitud\:0119 drgania wymuszonego:\
\>", "Text"],

Cell[BoxData[
    \(AF[\[Omega]f_, 
        b_] := \((\((\(b\ f\ \[Omega]f\)\/\(b\^2\ \[Omega]f\^2 + \((k - m\ \
\[Omega]f\^2)\)\^2\))\)^2 + \((\(\(f\)\(\ \)\(k\)\(\ \)\)\/\(b\^2\ \
\[Omega]f\^2 + \((k - m\ \[Omega]f\^2)\)\^2\) - \(\(f\)\(\ \)\(m\)\(\ \)\(\
\[Omega]f\^2\)\(\ \)\)\/\(b\^2\ \[Omega]f\^2 + \((k - m\ \
\[Omega]f\^2)\)\^2\))\)^2)\)^\((1/2)\)\)], "Input"],

Cell["Upraszczamy je:", "Text"],

Cell[BoxData[
    \(xTf = Simplify[xTf]\)], "Input"],

Cell["Upraszczamy je jeszcze bardziej:", "Text"],

Cell[BoxData[
    \(xTf = FullSimplify[xTf]\)], "Input"],

Cell[BoxData[
    \(\(\(Oraz\ cz\[LSlash]ony\ oscyluj\[SHacek]ce\ z\ cz\:0119sto\.9cci\
\[SHacek]\ rezonansow\[SHacek]\ \@\(b\^2 - 4\ k\ m\)\/\(2\ m\)\)\(:\)\)\)], \
"Text",
  FontFamily->"Arial",
  FontVariations->{"CompatibilityType"->0}],

Cell[BoxData[
    \(xTres = \(b\ \[ExponentialE]\^\(-\(\(b\ t\)\/\(2\ m\)\)\)\ f\ \[Omega]f\
\ Cosh[\(\@\(b\^2 - 4\ k\ m\)\ t\)\/\(2\ m\)]\)\/\(b\^2\ \[Omega]f\^2 + \((k \
- m\ \[Omega]f\^2)\)\^2\) + \(b\^2\ \[ExponentialE]\^\(-\(\(b\ t\)\/\(2\ \
m\)\)\)\ f\ \[Omega]f\ Sinh[\(\@\(b\^2 - 4\ k\ m\)\ t\)\/\(2\ m\)]\)\/\(\@\(b\
\^2 - 4\ k\ m\)\ \((b\^2\ \[Omega]f\^2 + \((k - m\ \[Omega]f\^2)\)\^2)\)\) - \
\(2\ \[ExponentialE]\^\(-\(\(b\ t\)\/\(2\ m\)\)\)\ f\ k\ m\ \[Omega]f\ \
Sinh[\(\@\(b\^2 - 4\ k\ m\)\ t\)\/\(2\ m\)]\)\/\(\@\(b\^2 - 4\ k\ m\)\ \
\((b\^2\ \[Omega]f\^2 + \((k - m\ \[Omega]f\^2)\)\^2)\)\) + \(2\ \
\[ExponentialE]\^\(-\(\(b\ t\)\/\(2\ m\)\)\)\ f\ m\^2\ \[Omega]f\^3\ \
Sinh[\(\@\(b\^2 - 4\ k\ m\)\ t\)\/\(2\ m\)]\)\/\(\@\(b\^2 - 4\ k\ m\)\ \
\((b\^2\ \[Omega]f\^2 + \((k - m\ \[Omega]f\^2)\)\^2)\)\)\)], "Input"],

Cell[BoxData[
    \(xTres = FullSimplify[xTres]\)], "Input"],

Cell["\<\
Sprawdzamy, czy nie zgubili\.9cmy jakiego\.9c cz\[LSlash]onu:\
\>", "Text"],

Cell[BoxData[
    \(Simplify[xTf + xTres \[Equal] xT]\)], "Input"],

Cell["\<\
Rysujemy oddzielnie rozwiazanie xT oraz jego cz\:0119\.9cci, 
1. drganie w\[LSlash]asne\
\>", "Text"],

Cell[BoxData[
    \(Plot[
      xTres /. {m -> 1, k -> 1, b -> 0.1, \[Omega]f \[Rule] 0.9, 
          f \[Rule] 1}, {t, 0, 100}, \ 
      PlotRange\  \[Rule] {\(-5\), 5}]\)], "Input"],

Cell["2. drganie wymuszone:", "Text"],

Cell[BoxData[
    \(Plot[
      xTf /. {m -> 1, k -> 1, b -> 0.1, \[Omega]f \[Rule] 0.9, 
          f \[Rule] 1}, {t, 0, 100}, \ 
      PlotRange\  \[Rule] {\(-5\), 5}]\)], "Input"],

Cell["\<\
Jak wida\[CAcute], drganie w\[LSlash]asne, z cz\:0119sto\.9cci\[SHacek] \
rezonansow\[SHacek] zanika eksponencjalnie, za\.9c drganie wymuszone, z cz\
\:0119sto\.9cci\[SHacek] \[Omega]f pozostaje niezmienne.\
\>", "Text"],

Cell["\<\
Zdefinujmy funkcje okre\.9claj\[SHacek]c\[SHacek] zale\:017cno\.9c\[CAcute] \
amplitudy drgania wymuszonego od cz\:0119sto\.9cci \[Omega] i wsp\[OAcute]\
\[LSlash]czynnika t\[LSlash]umienia:\
\>", "Text"],

Cell[BoxData[{
    \(m = 1\), "\[IndentingNewLine]", 
    \(k = 1\), "\[IndentingNewLine]", 
    \(f = 1\)}], "Input"],

Cell[BoxData[
    \(Show[Table[plAf[i], {i, 1, 9}]]\)], "Input"],

Cell[BoxData[
    \(For[i = 0, 
      i < 10, \(i++\), {\[Beta] = i*0.2, 
        pl[i] = Plot[AF[\[Omega], \[Beta]], {\[Omega], 0, 2}, 
            PlotRange \[Rule] {{0, 2}, {0, 10}}]}]\)], "Input"]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 695}},
WindowSize->{1012, 668},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2,
StyleDefinitions -> "DemoText.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 556, 12, 320, "Text",
  Evaluatable->False],
Cell[2276, 63, 121, 3, 55, "Input"],
Cell[2400, 68, 583, 16, 120, "Text"],
Cell[2986, 86, 93, 1, 55, "Input"],
Cell[3082, 89, 61, 1, 55, "Input"],
Cell[3146, 92, 37, 1, 55, "Input"],
Cell[3186, 95, 320, 8, 87, "Text",
  Evaluatable->False],
Cell[3509, 105, 59, 1, 55, "Input"],
Cell[3571, 108, 74, 0, 53, "Text"],
Cell[3648, 110, 53, 1, 55, "Input"],
Cell[3704, 113, 68, 2, 53, "Text"],
Cell[3775, 117, 54, 1, 55, "Input"],
Cell[3832, 120, 32, 0, 53, "Text"],
Cell[3867, 122, 43, 1, 55, "Input"],
Cell[3913, 125, 190, 4, 86, "Text"],
Cell[4106, 131, 423, 7, 211, "Input"],
Cell[4532, 140, 70, 2, 53, "Text"],
Cell[4605, 144, 368, 6, 219, "Input"],
Cell[4976, 152, 31, 0, 53, "Text"],
Cell[5010, 154, 52, 1, 55, "Input"],
Cell[5065, 157, 48, 0, 53, "Text"],
Cell[5116, 159, 56, 1, 55, "Input"],
Cell[5175, 162, 240, 5, 83, "Text"],
Cell[5418, 169, 832, 11, 502, "Input"],
Cell[6253, 182, 60, 1, 55, "Input"],
Cell[6316, 185, 85, 2, 53, "Text"],
Cell[6404, 189, 66, 1, 55, "Input"],
Cell[6473, 192, 111, 3, 98, "Text"],
Cell[6587, 197, 183, 4, 89, "Input"],
Cell[6773, 203, 37, 0, 53, "Text"],
Cell[6813, 205, 181, 4, 89, "Input"],
Cell[6997, 211, 230, 4, 86, "Text"],
Cell[7230, 217, 214, 4, 86, "Text"],
Cell[7447, 223, 118, 3, 123, "Input"],
Cell[7568, 228, 64, 1, 55, "Input"],
Cell[7635, 231, 200, 4, 157, "Input"]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

