(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      5268,        164]*)
(*NotebookOutlinePosition[      6002,        190]*)
(*  CellTagsIndexPosition[      5958,        186]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\
WIRUJ\:013dCE WAHAD\[CapitalLSlash]O

Wahad\[LSlash]o (kula o masie m na niewa\:017ckim pr\:0119cie o \
d\[LSlash]ugosci l) zamocowane jest na obracajacej sie podstawie. Podstawa \
obraca sie z pr\:0119dko\.9cci\[SHacek] k\[SHacek]tow\[SHacek] omega.
1. Wyprowad\.9f wyra\:017cenie opisuj\[SHacek]ce zale\:017cno\.9c\[CAcute] \
energii potencjalnej U wahad\[LSlash]a od jego wychylenia phi.
2. Przyjmuj\[SHacek]c m=1, l=1, g=1 wykre\.9cl zale\:017cno\.9c\[CAcute] U od \
phi i omega. Zinterpretuj otrzymany wykres.
3. Oblicz (przez r\[OAcute]\:017cniczkowanie energii potencjalnej U po phi) \
moment skr\:0119caj\[SHacek]cy.
4. Znajd\.9f te warto\.9cci phi0, dla kt\[OAcute]rych moment skr\:0119caj\
\[SHacek]cy ma warto\.9c\[CAcute] zerow\[SHacek] (ekstrema enegii \
potencjalnej). Zinterpretuj rozwi\[SHacek]zania.
5. Podstawiaj\[SHacek]c phi=phi0+psi i rozwijaj\[SHacek]c U wzgledem psi \
znajd\.9f przybli\:017cone wyra\:017cenia na zale\:017cno\.9c\[CAcute] U od \
psi (w otoczeniu phi0).
6. Znajd\.9f wyra\:017cenia opisuj\[SHacek]ce cz\:0119sto\.9cci \
ma\[LSlash]ych drga\:0144 wahad\[LSlash]a wok\[OAcute]\[LSlash] jego po\
\[LSlash]o\:017ce\:0144 r\[OAcute]wnowagi dla r\[OAcute]\:017cnych \
warto\.9cci omega. Wykre\.9cl te zale\:017cno\.9cci.

Ponizej podaje kilka istotnych komend, ktorych mozna uzyc w wykonaniu \
cwieczenia.
\
\>", "Text"],

Cell[BoxData[
    \(Fg = m*g\)], "Input"],

Cell[BoxData[
    \(Fgs = \(-Fg\)*Sin[\[Phi]]\)], "Input"],

Cell[BoxData[
    \(Fs = Fgs + Frs\)], "Input"],

Cell[BoxData[
    \(U = Integrate[\(-l\)*Fs, {\[Phi], 0, \[CapitalPhi]}]\)], "Input"],

Cell[BoxData[
    \(U = U /. {\[CapitalPhi] \[Rule] \[Phi]}\)], "Input"],

Cell[BoxData[{
    \(m = 1\), "\[IndentingNewLine]", 
    \(l = 1\), "\[IndentingNewLine]", 
    \(g = 1\)}], "Input"],

Cell[BoxData[
    \(P0 = Plot3D[U, {\[Phi], \(-Pi\), Pi}, {\[Omega], 0, 2}]\)], "Input"],

Cell[BoxData[
    \(ContourPlot[U, {\[Phi], \(-Pi\), Pi}, {\[Omega], 0, 2}]\)], "Input"],

Cell[BoxData[
    \(eq1 = T == 0\)], "Input"],

Cell[BoxData[
    \(ExtrPhi := Solve[eq1, \[Phi]]\)], "Input"],

Cell[BoxData[
    \(ExtrPhi = Solve[eq1, \[Phi]]\)], "Input"],

Cell[BoxData[
    \({ExtrPhi[\([1, 1, 2]\)], ExtrPhi[\([2, 1, 2]\)], 
        ExtrPhi[\([3, 1, 2]\)]} /. {m -> 1, l -> 1, g -> 1}\)], "Input"],

Cell[BoxData[
    \(P1 = 
      Plot[Evaluate[{ExtrPhi[\([2, 1, 2]\)], 
              ExtrPhi[\([3, 1, 2]\)]} /. {m -> 1, l -> 1, 
              g -> 1}], {\[Omega], 1, 2}, 
        PlotStyle \[Rule] {{RGBColor[0, 1, 0]}, {RGBColor[0, 0, 
                1]}}]\)], "Input"],

Cell[BoxData[
    \(P2 = 
      Plot[Evaluate[{ExtrPhi[\([1, 1, 2]\)]} /. {m -> 1, l -> 1, 
              g -> 1}], {\[Omega], 0, 2}, 
        PlotStyle \[Rule] {RGBColor[1, 0, 0]}]\)], "Input"],

Cell[BoxData[
    \(Show[P1, P2]\)], "Input"],

Cell[BoxData[
    \(U\)], "Input"],

Cell[BoxData[
    \(U1 = 
      Series[U /. {\[Phi] -> ExtrPhi[\([1, 1, 2]\)] + \[Xi]}, {\[Xi], 0, 
          3}]\)], "Input"],

Cell[BoxData[
    \(U1lin = Normal[U1]\)], "Input"],

Cell[BoxData[
    \(P3 = Plot3D[U1lin, {\[Xi], \(-Pi\), Pi}, {\[Omega], 0, 2}]\)], "Input"],

Cell[BoxData[
    \(Show[P0, P3]\)], "Input"],

Cell[BoxData[{
    \(U1lin\), "\[IndentingNewLine]", 
    \(U2lin\)}], "Input"],

Cell[BoxData[
    \(\[CapitalOmega]1 = Sqrt[2*Coefficient[U1lin, \[Xi]^2]]\)], "Input"],

Cell[BoxData[
    \(P\[CapitalOmega]1 = 
      Plot[{\[CapitalOmega]1}, \ {\[Omega], 0, 1}]\)], "Input"],

Cell[BoxData[
    \(Show[P\[CapitalOmega]1, P\[CapitalOmega]2]\)], "Input"]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 695}},
WindowToolbars->"EditBar",
WindowSize->{1013, 668},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2,
StyleDefinitions -> "DemoText.nb"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1717, 49, 1364, 26, 746, "Text"],
Cell[3084, 77, 41, 1, 55, "Input"],
Cell[3128, 80, 58, 1, 55, "Input"],
Cell[3189, 83, 47, 1, 55, "Input"],
Cell[3239, 86, 85, 1, 55, "Input"],
Cell[3327, 89, 72, 1, 55, "Input"],
Cell[3402, 92, 118, 3, 123, "Input"],
Cell[3523, 97, 88, 1, 55, "Input"],
Cell[3614, 100, 88, 1, 55, "Input"],
Cell[3705, 103, 45, 1, 55, "Input"],
Cell[3753, 106, 62, 1, 55, "Input"],
Cell[3818, 109, 61, 1, 55, "Input"],
Cell[3882, 112, 142, 2, 89, "Input"],
Cell[4027, 116, 273, 6, 157, "Input"],
Cell[4303, 124, 194, 4, 123, "Input"],
Cell[4500, 130, 45, 1, 55, "Input"],
Cell[4548, 133, 34, 1, 55, "Input"],
Cell[4585, 136, 126, 3, 55, "Input"],
Cell[4714, 141, 51, 1, 55, "Input"],
Cell[4768, 144, 91, 1, 55, "Input"],
Cell[4862, 147, 45, 1, 55, "Input"],
Cell[4910, 150, 79, 2, 89, "Input"],
Cell[4992, 154, 87, 1, 55, "Input"],
Cell[5082, 157, 104, 2, 55, "Input"],
Cell[5189, 161, 75, 1, 55, "Input"]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

